Subject: [PATCH] ARM: kexec: validate CPU hotplug support

From: [email-masked] (Stephen Warren)
Date: Fri, 19 Jul 2013 09:18:36 -0600

On 07/11/2013 04:48 PM, Stephen Warren wrote:
> From: Stephen Warren <[email-masked]>
> 
> Architectures should fully validate whether kexec is possible as part of
> machine_kexec_prepare(), so that user-space's kexec_load() operation can
> report any problems. Performing validation in machine_kexec() itself is
> too late, since it is not allowed to return.
> 
> Prior to this patch, ARM's machine_kexec() was testing after-the-fact
> whether machine_kexec_prepare() was able to disable all but one CPU.
> Instead, modify machine_kexec_prepare() to validate all conditions
> necessary for machine_kexec_prepare()'s to succeed. BUG if the validation
> succeeded, yet disabling the CPUs didn't actually work.

Russell, does this look good to put into the ARM patch tracker?